%define		pkgname	binary
Summary:	Binary serialisation for Haskell values using lazy ByteStrings
Name:		ghc-%{pkgname}
Version:	0.8.8.0
Release:	2
License:	BSD
Group:		Development/Languages
Source0:	http://hackage.haskell.org/packages/archive/%{pkgname}/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	fdec925b21bd42fa4e9df5505d15ba81
URL:		http://hackage.haskell.org/package/binary/
BuildRequires:	ghc >= 6.12.3
BuildRequires:	rpmbuild(macros) >= 1.608
%requires_eq	ghc
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

%description
Efficient, pure binary serialisation using lazy ByteStrings. Haskell
values may be encoded to and from binary formats, written to disk as
binary, or sent over the network. Serialisation speeds of over 1 G/sec
have been observed, so this library should be suitable for high
performance scenarios.

%package doc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation

%description doc
HTML documentation for %{pkgname}.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
runhaskell Setup.lhs configure -v2 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.lhs build
runhaskell Setup.lhs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.lhs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
%{__rm} -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html %{name}-%{version}-doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

runhaskell Setup.lhs register \
	--gen-pkg-config=$RPM_BUILD_ROOT/%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%doc README.md
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*
%changelog
* Sat Mar 19 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ghc-binary.git;a=log;h=master

* Sat Mar 19 2022 Jan Rękorajski <baggins@pld-linux.org> 2df86a9
- rebuild with ghc 8.10.7

* Sat May 23 2020 Jan Rękorajski <baggins@pld-linux.org> 10f6c17
- up to 0.8.8.0

* Fri May 31 2013 Jan Rękorajski <baggins@pld-linux.org> 74c47bb
- rel 3

* Fri May 31 2013 Jan Rękorajski <baggins@pld-linux.org> 8956033
- use runhaskell
- fixed docs

* Fri May 31 2013 Jan Rękorajski <baggins@pld-linux.org> 666c76b
- fix copy-paste error
- rel 2

* Fri May 31 2013 Jan Rękorajski <baggins@pld-linux.org> 6b39193
- up to 0.7.1.0
- fixed doc install

* Tue Sep 27 2011 Jan Rękorajski <baggins@pld-linux.org> c4707b0
- release 7

* Mon Feb 28 2011 Elan Ruusamäe <glen@pld-linux.org> fbd1192
- update packaging, %requires_eq dep on ghc

* Thu Feb 24 2011 Elan Ruusamäe <glen@pld-linux.org> bb34745
- release 5

* Thu Feb 24 2011 Elan Ruusamäe <glen@pld-linux.org> 8ba26e4
- use %ghc_pkg_recache macro; make url copyable; %ghcdir in rpmbuild macros

* Sat Aug 28 2010 Jan Rękorajski <baggins@pld-linux.org> e13b902
- release 3

* Sat Aug 28 2010 Jan Rękorajski <baggins@pld-linux.org> 754b59d
- requires_releq due to very unique ids in packages built with ghc 6.12+

* Fri Aug 27 2010 Jan Rękorajski <baggins@pld-linux.org> 65c57f9
- rel 2

* Fri Aug 27 2010 Jan Rękorajski <baggins@pld-linux.org> 7c1102a
- updated packaging to new template (ghc 6.12.3+)

* Sat Apr 10 2010 Jan Rękorajski <baggins@pld-linux.org> 9cc1a2e
- docdir

* Sat Apr 10 2010 Jan Rękorajski <baggins@pld-linux.org> e4e64ee
- rel 1
- template based

* Thu Apr 08 2010 Jan Rękorajski <baggins@pld-linux.org> 3970c95
- renamed to ghc-binary

* Thu Nov 26 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 92b146f
- initial

